Update rule

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
PUT /project/{projectId}/rules/{ruleId}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • ruleId integer(int64) Required
application/json
Body object Required
One of:

Responses

  • 200 */*

    OK

    One of:
PUT /project/{projectId}/rules/{ruleId}
curl \
 --request PUT 'https://live.smartpmtech.com/project/{projectId}/rules/{ruleId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "name": "string",
  "id": 42,
  "type": "string",
  "importLogId": 42,
  "bulkChangeItems": [
    {
      "valueType": "VALUE",
      "field": "string",
      "id": 42,
      "newValue": "string"
    }
  ],
  "bulkChangeExclusions": [
    {
      "id": 42,
      "activityId": 42
    }
  ],
  "filterId": 42
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "name": "string",
  "id": 42,
  "type": "string",
  "importLogId": 42,
  "bulkChangeItems": [
    {
      "valueType": "VALUE",
      "field": "string",
      "id": 42,
      "newValue": "string"
    }
  ],
  "bulkChangeExclusions": [
    {
      "id": 42,
      "activityId": 42
    }
  ],
  "filterId": 42
}
# Headers
X-COMPANY-ID: string

# Payload
{
  "name": "string",
  "id": 42,
  "type": "string",
  "importLogId": 42,
  "rules": [
    {
      "name": "string",
      "id": 42,
      "type": "string",
      "importLogId": 42,
      "bulkChangeItems": [
        {
          "valueType": "VALUE",
          "field": "string",
          "id": 42,
          "newValue": "string"
        }
      ],
      "bulkChangeExclusions": [
        {
          "id": 42,
          "activityId": 42
        }
      ],
      "filterId": 42
    }
  ]
}
# Headers
X-COMPANY-ID: string

# Payload
{
  "name": "string",
  "id": 42,
  "type": "string",
  "importLogId": 42,
  "oneOffChangeItems": [
    {
      "value": "string",
      "field": "string",
      "id": 42,
      "revisionAction": "ADDED",
      "entity": "Activity",
      "entityId": 42
    }
  ]
}
# Headers
X-COMPANY-ID: string

# Payload
{
  "name": "string",
  "id": 42,
  "type": "string",
  "importLogId": 42,
  "rejectItems": [
    {
      "field": "string",
      "id": 42,
      "newValue": "string",
      "revisionAction": "ADDED",
      "oldValue": "string",
      "entity": "Activity",
      "entityId": 42
    }
  ]
}
# Headers
X-COMPANY-ID: string

# Payload
{
  "name": "string",
  "id": 42,
  "type": "string",
  "importLogId": 42,
  "revertItems": [
    {
      "field": "string",
      "id": 42,
      "newValue": "string",
      "revisionAction": "ADDED",
      "oldValue": "string",
      "toImportLogId": 42,
      "entity": "Activity",
      "entityId": 42
    }
  ]
}
Response examples (200)
{
  "name": "string",
  "id": 42,
  "type": "string",
  "importLogId": 42,
  "bulkChangeItems": [
    {
      "valueType": "VALUE",
      "field": "string",
      "id": 42,
      "newValue": "string"
    }
  ],
  "bulkChangeExclusions": [
    {
      "id": 42,
      "activityId": 42
    }
  ],
  "filterId": 42
}
{
  "name": "string",
  "id": 42,
  "type": "string",
  "importLogId": 42,
  "oneOffChangeItems": [
    {
      "value": "string",
      "field": "string",
      "id": 42,
      "revisionAction": "ADDED",
      "entity": "Activity",
      "entityId": 42
    }
  ]
}
{
  "name": "string",
  "id": 42,
  "type": "string",
  "importLogId": 42,
  "rejectItems": [
    {
      "field": "string",
      "id": 42,
      "newValue": "string",
      "revisionAction": "ADDED",
      "oldValue": "string",
      "entity": "Activity",
      "entityId": 42
    }
  ]
}
{
  "name": "string",
  "id": 42,
  "type": "string",
  "importLogId": 42,
  "revertItems": [
    {
      "field": "string",
      "id": 42,
      "newValue": "string",
      "revisionAction": "ADDED",
      "oldValue": "string",
      "toImportLogId": 42,
      "entity": "Activity",
      "entityId": 42
    }
  ]
}